<template>
  <el-tooltip effect="dark" content="退出" placement="bottom">
    <div class="quit" @click="logout()">
      <img class="icon" src="@/assets/images/quit.png" alt="">
    </div>
  </el-tooltip>
</template>

<script>

export default {
  methods: {
    logout() {
      this.$confirm('确定退出?', '', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(() => {
        this.$store.dispatch('user/logout').then(() => {
          this.$router.push('/login')
        })
      }).catch(() => {
      })
    }
  }
}
</script>
<style lang="scss"  scoped>
.quit{
  height: 70px;
  display: flex;
  align-items: center;
  .icon{
    width: 25px;
  }
}
</style>
